%define gitrev 8f01595
%define gitdate 20160927
# Git repo: https://cgit.freedesktop.org/openchrome/xf86-video-openchrome/

# How to prepare the source archive from the git tree:
# $ hash=`git log -1 --format='%h'`
# $ date=`git log -1 --format='%cd' --date=short | tr -d -`
# $ git archive --prefix xf86-video-openchrome-${date}-git${hash}/ ${hash} \
#       | xz -7e > xf86-video-openchrome-${date}-git${hash}.tar.xz

# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

# keeping it here just in case someone wants to use the SVN version
# svn co http://svn.openchrome.org/svn/trunk openchrome

# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define __noautoreq 'devel\\(.*'
%define __noautoprov 'devel\\(.*'

%define major 1
%define libxvmc %mklibname chromeXvMC %{major}
%define libpro %mklibname chromeXvMCPro %{major}

Summary:	X.org driver for Unichrome cards from the OpenChrome project
Name:		x11-driver-video-openchrome
Version:	0.5.160
Release:	0.%{gitdate}.2
Group:		System/X11
License:	MIT
Url:		http://www.openchrome.org
#Source0:	http://xorg.freedesktop.org/archive/individual/driver/xf86-video-openchrome-%{version}.tar.bz2
Source0:	xf86-video-openchrome-%{gitdate}-git%{gitrev}.tar.xz

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xvmc)
BuildRequires:	pkgconfig(udev)
Requires:	%{libxvmc} = %{EVRD}
Requires:	%{libpro} = %{EVRD}
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)
Requires:	udev

%description
A free and Open Source video driver for the VIA/S3G UniChrome and UniChrome Pro
graphics chipsets (CLE266, KN400, KM400, K8M800, PM800, CN400, VN800).

%files
%{_libdir}/xorg/modules/drivers/openchrome_drv.so
# These are not devel symlinks
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMCPro.so
%{_mandir}/man4/openchrome.*
%{_sbindir}/via_regs_dump

#----------------------------------------------------------------------------

%package -n %{libxvmc}
Summary:	X Library
Group:		System/Libraries
Conflicts:	%{name} < 0.3.1-3

%description -n %{libxvmc}
This package contains a shared library for %{name}.

%files  -n %{libxvmc}
%{_libdir}/libchromeXvMC.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libpro}
Summary:	X Library
Group:		System/Libraries
Conflicts:	%{name} < 0.3.1-3

%description -n %{libpro}
This package contains a shared library for %{name}.

%files  -n %{libpro}
%{_libdir}/libchromeXvMCPro.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-openchrome-%{gitdate}-git%{gitrev}
%apply_patches


%build
autoreconf -fiv
%configure2_5x \
	--disable-static \
	--enable-viaregtool \
	--enable-dri
%make

%install
%makeinstall_std


%changelog

* Thu Oct 06 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 0.5.160-0.20160927.2
- (3217939) Release up for a rebuild with the new X11 server


